com.fasterxml.jackson.databind.introspect

## Class AnnotationCollector.TwoAnnotations

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotationCollector.TwoAnnotations

- All Implemented Interfaces:
    Annotations, Serializable
  Enclosing class:
    AnnotationCollector

      public static class AnnotationCollector.TwoAnnotations
      extends Object
      implements Annotations, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoAnnotations(Class<?> type1, Annotation value1, Class<?> type2, Annotation value2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends Annotation> A` | `get(Class<A> cls)` Main access method used to find value for given annotation.
    `boolean` | `has(Class<?> cls)`
    `boolean` | `hasOneOf(Class<? extends Annotation>[] annoClasses)`
    `int` | `size()` Returns number of annotation entries in this collection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TwoAnnotations

          public TwoAnnotations(Class<?> type1,
                                Annotation value1,
                                Class<?> type2,
                                Annotation value2)

  - ### Method Detail

    - #### get

          public <A extends Annotation> A get(Class<A> cls)

      Description copied from interface: `Annotations`
      Main access method used to find value for given annotation.
      Specified by:
        `get` in interface `Annotations`

    - #### has

          public boolean has(Class<?> cls)

      Specified by:
        `has` in interface `Annotations`

    - #### hasOneOf

          public boolean hasOneOf(Class<? extends Annotation>[] annoClasses)

      Specified by:
        `hasOneOf` in interface `Annotations`

    - #### size

          public int size()

      Description copied from interface: `Annotations`
      Returns number of annotation entries in this collection.
      Specified by:
        `size` in interface `Annotations`

Copyright © 2008–2018 FasterXML. All rights reserved.